<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.common.bluetooth">

    <!-- 检测蓝牙状态 -->
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="true" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <!-- 增加蓝牙所需要的权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.BLUETOOTH_SCAN" />
    <uses-permission android:name="android.permission.BLUETOOTH_CONNECT" />

    <uses-permission android:name="android.permission.VIBRATE" />

    <application
        android:allowBackup="true">
        <activity
            android:name="com.common.bluetooth.BtDemoActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat"/>
        <service
            android:name="com.common.bluetooth.service.ble.BLEReceiveService"
            android:exported="true"
            android:enabled="true">
        </service>

        <service
            android:name="com.common.bluetooth.service.ble.BLEClientService"
            android:exported="true"
            android:enabled="true">
        </service>

        <service
            android:name="com.common.bluetooth.service.bt.BTCReceiverService"
            android:exported="true"
            android:enabled="true">
        </service>

        <service
            android:name="com.common.bluetooth.service.bt.BTCClientService"
            android:exported="true"
            android:enabled="true">
        </service>
    </application>
</manifest>